Skip to main content

Endpoint

POST /v3/universal-ai (sync) Model string pattern: text/plagia_detection/{provider}[/{model}]

Input

FieldTypeRequiredDescription
textstringYesText content on which plagiarism detection will be run
titlestringNoContent title

Output

FieldTypeRequiredDescription
plagia_scorefloatYes
itemsarray[object]No
    textstringYes
    candidatesarray[object]No
        urlstringYes
        plagia_scorefloatYes
        predictionstringYes
        plagiarized_textstringYes

Available Providers

ProviderModel StringPrice
winstonaitext/plagia_detection/winstonai$14 per 1,000,000 chars

Quick Start

import requests

url = "https://api.edenai.run/v3/universal-ai"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

payload = {
    "model": "text/plagia_detection/winstonai",
    "input": {
        "text": "The quick brown fox jumps over the lazy dog."
    }
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())